polygene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From nic...@apache.org
Subject [17/50] [abbrv] zest-qi4j git commit: Core Runtime: now use ASM 5.x for Java 8 compatibility
Date Fri, 24 Apr 2015 06:36:30 GMT
Core Runtime: now use ASM 5.x for Java 8 compatibility


Project: http://git-wip-us.apache.org/repos/asf/zest-qi4j/repo
Commit: http://git-wip-us.apache.org/repos/asf/zest-qi4j/commit/d7af9150
Tree: http://git-wip-us.apache.org/repos/asf/zest-qi4j/tree/d7af9150
Diff: http://git-wip-us.apache.org/repos/asf/zest-qi4j/diff/d7af9150

Branch: refs/heads/master
Commit: d7af91505443ad6590b5726f6090b88edf981b15
Parents: cca75eb
Author: Paul Merlin <paul@nosphere.org>
Authored: Thu Jun 12 15:07:07 2014 +0200
Committer: Paul Merlin <paul@nosphere.org>
Committed: Thu Jun 12 15:07:07 2014 +0200

----------------------------------------------------------------------
 .../main/java/org/qi4j/runtime/composite/FragmentClassLoader.java | 3 +++
 .../java/org/qi4j/runtime/composite/TransientClassLoader.java     | 3 +++
 libraries.gradle                                                  | 2 +-
 3 files changed, 7 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/d7af9150/core/runtime/src/main/java/org/qi4j/runtime/composite/FragmentClassLoader.java
----------------------------------------------------------------------
diff --git a/core/runtime/src/main/java/org/qi4j/runtime/composite/FragmentClassLoader.java
b/core/runtime/src/main/java/org/qi4j/runtime/composite/FragmentClassLoader.java
index c140511..4e9c525 100644
--- a/core/runtime/src/main/java/org/qi4j/runtime/composite/FragmentClassLoader.java
+++ b/core/runtime/src/main/java/org/qi4j/runtime/composite/FragmentClassLoader.java
@@ -87,6 +87,9 @@ public class FragmentClassLoader
         String jdkString = System.getProperty( "java.specification.version" );
         switch( jdkString )
         {
+            case "1.8":
+                JDK_VERSION = Opcodes.V1_8;
+                break;
             case "1.7":
             default:
                 JDK_VERSION = Opcodes.V1_7;

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/d7af9150/core/runtime/src/main/java/org/qi4j/runtime/composite/TransientClassLoader.java
----------------------------------------------------------------------
diff --git a/core/runtime/src/main/java/org/qi4j/runtime/composite/TransientClassLoader.java
b/core/runtime/src/main/java/org/qi4j/runtime/composite/TransientClassLoader.java
index f3e0aa6..b53c259 100644
--- a/core/runtime/src/main/java/org/qi4j/runtime/composite/TransientClassLoader.java
+++ b/core/runtime/src/main/java/org/qi4j/runtime/composite/TransientClassLoader.java
@@ -88,6 +88,9 @@ import static org.qi4j.api.util.Classes.interfacesOf;
         String jdkString = System.getProperty( "java.specification.version" );
         switch( jdkString )
         {
+            case "1.8":
+                JDK_VERSION = Opcodes.V1_8;
+                break;
             case "1.7":
             default:
                 JDK_VERSION = Opcodes.V1_7;

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/d7af9150/libraries.gradle
----------------------------------------------------------------------
diff --git a/libraries.gradle b/libraries.gradle
index b2a3391a..97e87a0 100644
--- a/libraries.gradle
+++ b/libraries.gradle
@@ -1,5 +1,5 @@
 // Versions of Dependencies;
-def asmVersion = '4.2'
+def asmVersion = '5.0.3'
 def beanshellVersion = '2.0b4'
 def bonecpVersion = '0.8.0.RELEASE'
 def bouncyVersion = '1.50'


Mime
View raw message